Bug 1459223 - Gluster cluster name [NEEDINFO]
Gluster cluster name
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Neha Gupta
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 10:46 EDT by Lubos Trilety
Modified: 2017-06-23 06:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
negupta: needinfo? (anivargi)


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2017-06-06 10:46:16 EDT
Description of problem:
During create gluster cluster a name could be set, moreover the name is checked if it's correct. However after the cluster is created the name in the list is always 'gluster-<etcd-ID>'.

Version-Release number of selected component (if applicable):
tendrl-node-agent-3.0-alpha.7.el7scon.noarch
tendrl-commons-3.0-alpha.7.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.4.el7scon.noarch
tendrl-api-3.0-alpha.3.el7scon.noarch
tendrl-api-httpd-3.0-alpha.3.el7scon.noarch
tendrl-dashboard-3.0-alpha.3.el7scon.noarch
tendrl-alerting-3.0-alpha.2.el7scon.noarch
tendrl-api-doc-3.0-alpha.3.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Start to create gluster cluster, change the name of the cluster
2. Wait till the cluster is created
3. Look for cluster on the "Clusters" page

Actual results:
The cluster doesn't have the chosen name instead it has default 'gluster-<etcd-ID>' identificator in the list.

Expected results:
The cluster has the name which was put by user during its creation.

Additional info:
Comment 2 Neha Gupta 2017-06-14 03:17:26 EDT
UI is sending the updated cluster's name in the post data of create cluster. I think its getting overwritten somewhere in API/backend.

Note You need to log in before you can comment on or make changes to this bug.